API ReferenceBoard Column
Updates the BoardColumn resource
Updates the BoardColumn resource
Authorization
apiKey Authorization<token>
Value for the Authorization header parameter.
In: header
Path Parameters
id*string
BoardColumn identifier
The updated BoardColumn resource
TypeScript Definitions
Use the request body type in TypeScript.
name?string
Length
length <= 100decorator?string
Value in
- "#78909c"
- "#2490e3"
- "#44a069"
- "#987284"
- "#d32f2f"
- "#f57f17"
- "#003366"
- "#00bfa5"
- "#ee7674"
- "#9c27b0"
status?string
Value in
- "todo"
- "in-progress"
- "done"
Response Body
curl -X PATCH "https://example.com/project/board-columns/string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "board": "a98884d6-3c76-4114-ba9c-216527a5aac1", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "decorator": "#78909c", "weight": 0, "status": "todo"}